Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.security
Class SecurityConfiguration

    java.lang.Object
      com.sun.mdm.index.configurator.impl.security.SecurityConfiguration

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class SecurityConfiguration
extends java.lang.Object
implements ConfigurationInfo

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SECURITY_CONFIGURATION` module name
`(package private) static java.lang.String` | `TAG_SECURITYPLUGIN`

Constructor Summary
`SecurityConfiguration()` Creates a new instance of SecurityConfiguration

Method Summary
`int` | `finish()` Finish.
`java.lang.String` | `getModuleType()` Get module type.
`java.lang.String` | `getSecurityPlugInClass()` Get list of validators.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_CONFIGURATION

    public static final java.lang.String SECURITY_CONFIGURATION

  module name

  See Also:
    Constant Field Values

### TAG_SECURITYPLUGIN

    static final java.lang.String TAG_SECURITYPLUGIN

See Also:
  Constant Field Values

Constructor Detail

### SecurityConfiguration

    public SecurityConfiguration()

  Creates a new instance of SecurityConfiguration

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getModuleType

    public java.lang.String getModuleType()

  Get module type.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    module type.

### getSecurityPlugInClass

    public java.lang.String getSecurityPlugInClass()

  Get list of validators.

  Returns:
    Hashtable, the registry for custom validation.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.